Skip to content

Get Raw Metric Data for Customer

Request

Gets the raw metric data for a customer

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

customerTypestringrequired

The customer_type to use to for record lookup

Enum:"contact""organization"
customerIdstringrequired

The customer_id to use to for record lookup

Query
datestring

The optional date

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/engagementScores/{tenantId}/rawMetricData/{customerType}/{customerId}?date=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
datestring(Date)

The date

metric_dataArray of objects
Response
{ "date": "string", "metric_data": [ { … } ] }